# crawler_status/codes.py

# 成功
SUCCESS = "1000"

# 参数配置错误
CONFIG_MISSING = "2000"
PARAM_REQUIRED = "2001"
UNSUPPORTED_TYPE = "2002"
URL_JOIN_FAILED = "2003"
CUSTOM_CLASS_IMPORT_FAILED = "2004"
CONFIG_LOAD_FAILED = "2005"

# 抓取错误
FETCH_EXCEPTION = "3000"
FETCH_EMPTY = "3001"
HTTP_ERROR = "3002"
TIMEOUT = "3003"
INVALID_FORMAT = "3004"
BLOCKED = "3005"
REDIRECT_ERROR = "3006"

# 解析处理
JSONPATH_FAIL = "3100"
XPATH_FAIL = "3101"
FIELD_MAP_ERROR = "3102"
PARSE_EMPTY = "3103"
FORMAT_INVALID = "3104"

# 清洗转化
CLEAN_MISMATCH = "3200"
TRANSFORM_FAIL = "3201"
MISSING_REQUIRED_FIELD = "3202"

# 数据写入
DB_WRITE_FAIL = "4000"
DB_DUPLICATE = "4001"
DB_CONN_FAIL = "4002"
FILE_WRITE_FAIL = "4003"

# ETL
ETL_IMPORT_FAIL = "4100"
ETL_RUN_FAIL = "4101"
ETL_UNKNOWN_ERROR = "4102"

# 系统
UNKNOWN_ERROR = "5000"
IMPORT_ERROR = "5001"
DYNAMIC_LOAD_ERROR = "5002"
FILE_NOT_FOUND = "5003"

# 业务
DATA_EXISTS = "6000"
NO_UPDATE = "6001"
FILTERED = "6002"

# 重试
RETRY = "7000"
RETRY_MAX = "7001"


